Package org.kapott.hbci.sepa.jaxb.pain_008_001_01

# Class OrganisationIdentification2

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_001_01.OrganisationIdentification2

public class OrganisationIdentification2 extends Object

Java class for OrganisationIdentification2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OrganisationIdentification2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BIC" type="{urn:sepade:xsd:pain.008.001.01}BICIdentifier" minOccurs="0"/>
             <element name="IBEI" type="{urn:sepade:xsd:pain.008.001.01}IBEIIdentifier" minOccurs="0"/>
             <element name="BEI" type="{urn:sepade:xsd:pain.008.001.01}BEIIdentifier" minOccurs="0"/>
             <element name="EANGLN" type="{urn:sepade:xsd:pain.008.001.01}EANGLNIdentifier" minOccurs="0"/>
             <element name="USCHU" type="{urn:sepade:xsd:pain.008.001.01}CHIPSUniversalIdentifier" minOccurs="0"/>
             <element name="DUNS" type="{urn:sepade:xsd:pain.008.001.01}DunsIdentifier" minOccurs="0"/>
             <element name="BkPtyId" type="{urn:sepade:xsd:pain.008.001.01}Max35Text" minOccurs="0"/>
             <element name="TaxIdNb" type="{urn:sepade:xsd:pain.008.001.01}Max35Text" minOccurs="0"/>
             <element name="PrtryId" type="{urn:sepade:xsd:pain.008.001.01}GenericIdentification3" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`bei`
`protected String`
`bic`
`protected String`
`bkPtyId`
`protected String`
`duns`
`protected String`
`eangln`
`protected String`
`ibei`
`protected GenericIdentification3`
`prtryId`
`protected String`
`taxIdNb`
`protected String`
`uschu`

## Constructor Summary

Constructors
Constructor
Description
`OrganisationIdentification2()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBEI()`
Gets the value of the bei property.
`String`
`getBIC()`
Gets the value of the bic property.
`String`
`getBkPtyId()`
Gets the value of the bkPtyId property.
`String`
`getDUNS()`
Gets the value of the duns property.
`String`
`getEANGLN()`
Gets the value of the eangln property.
`String`
`getIBEI()`
Gets the value of the ibei property.
`GenericIdentification3`
`getPrtryId()`
Gets the value of the prtryId property.
`String`
`getTaxIdNb()`
Gets the value of the taxIdNb property.
`String`
`getUSCHU()`
Gets the value of the uschu property.
`void`
`setBEI(String value)`
Sets the value of the bei property.
`void`
`setBIC(String value)`
Sets the value of the bic property.
`void`
`setBkPtyId(String value)`
Sets the value of the bkPtyId property.
`void`
`setDUNS(String value)`
Sets the value of the duns property.
`void`
`setEANGLN(String value)`
Sets the value of the eangln property.
`void`
`setIBEI(String value)`
Sets the value of the ibei property.
`void`
`setPrtryId(GenericIdentification3 value)`
Sets the value of the prtryId property.
`void`
`setTaxIdNb(String value)`
Sets the value of the taxIdNb property.
`void`
`setUSCHU(String value)`
Sets the value of the uschu property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### bic

protected String bic

### ibei

protected String ibei

### bei

protected String bei

### eangln

protected String eangln

### uschu

protected String uschu

### duns

protected String duns

### bkPtyId

protected String bkPtyId

### taxIdNb

protected String taxIdNb

### prtryId

protected GenericIdentification3 prtryId

## Constructor Details

### OrganisationIdentification2

public OrganisationIdentification2()

## Method Details

### getBIC

public String getBIC()
Gets the value of the bic property.

Returns:
  possible object is `String`

### setBIC

public void setBIC(String value)
Sets the value of the bic property.

Parameters:
  `value` - allowed object is `String`

### getIBEI

public String getIBEI()
Gets the value of the ibei property.

Returns:
  possible object is `String`

### setIBEI

public void setIBEI(String value)
Sets the value of the ibei property.

Parameters:
  `value` - allowed object is `String`

### getBEI

public String getBEI()
Gets the value of the bei property.

Returns:
  possible object is `String`

### setBEI

public void setBEI(String value)
Sets the value of the bei property.

Parameters:
  `value` - allowed object is `String`

### getEANGLN

public String getEANGLN()
Gets the value of the eangln property.

Returns:
  possible object is `String`

### setEANGLN

public void setEANGLN(String value)
Sets the value of the eangln property.

Parameters:
  `value` - allowed object is `String`

### getUSCHU

public String getUSCHU()
Gets the value of the uschu property.

Returns:
  possible object is `String`

### setUSCHU

public void setUSCHU(String value)
Sets the value of the uschu property.

Parameters:
  `value` - allowed object is `String`

### getDUNS

public String getDUNS()
Gets the value of the duns property.

Returns:
  possible object is `String`

### setDUNS

public void setDUNS(String value)
Sets the value of the duns property.

Parameters:
  `value` - allowed object is `String`

### getBkPtyId

public String getBkPtyId()
Gets the value of the bkPtyId property.

Returns:
  possible object is `String`

### setBkPtyId

public void setBkPtyId(String value)
Sets the value of the bkPtyId property.

Parameters:
  `value` - allowed object is `String`

### getTaxIdNb

public String getTaxIdNb()
Gets the value of the taxIdNb property.

Returns:
  possible object is `String`

### setTaxIdNb

public void setTaxIdNb(String value)
Sets the value of the taxIdNb property.

Parameters:
  `value` - allowed object is `String`

### getPrtryId

public GenericIdentification3 getPrtryId()
Gets the value of the prtryId property.

Returns:
  possible object is `GenericIdentification3`

### setPrtryId

public void setPrtryId(GenericIdentification3 value)
Sets the value of the prtryId property.

Parameters:
  `value` - allowed object is `GenericIdentification3`